using Microsoft.Extensions.DependencyInjection;
using FluentValidation;
using System.Reflection;

namespace AipGateway.API.Domain
{
    public static class Dependencyinjection
    {
        public static IServiceCollection AddDomainLayerServices(this IServiceCollection services)
        {
            services//.AddAutoMapper(Assembly.GetExecutingAssembly())
                    .AddValidatorsFromAssembly(Assembly.GetExecutingAssembly());

            return services;
        }
    }
}
